package com.boman.web.core.wst;


import com.iflytek.wst.gateway.sdk.constant.SdkConstant;
import com.iflytek.wst.gateway.sdk.model.ApiResponse;

import java.io.IOException;

public class ExampleUnitTest {

    /*public static void main(String[] args) {
        ExampleUnitTest unitTest = new ExampleUnitTest();
        unitTest.pageBmfwForQueryList();

    }*/


    /**
     * 根据token获取用户信息
     *
     * @return
     */
    public void pageBmfwForQueryList() {
        ApiResponse response = WstRestClient.getInstance().getUserInfoByToken("0957577c496442c3b7c92cbaff061c35");
        try {
            System.out.println(getResultString(response));
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    private static String getResultString(ApiResponse response) throws IOException {
        StringBuilder result = new StringBuilder();
        result.append("Response from backend server").append(SdkConstant.CLOUDAPI_LF).append(SdkConstant.CLOUDAPI_LF);
        result.append("ResultCode:").append(SdkConstant.CLOUDAPI_LF).append(response.getCode()).append(SdkConstant.CLOUDAPI_LF).append(SdkConstant.CLOUDAPI_LF);
        if (response.getCode() != 200) {
            result.append("Error description:").append(response.getHeaders().get("X-Ca-Error-Message")).append(SdkConstant.CLOUDAPI_LF).append(SdkConstant.CLOUDAPI_LF);
        }
        result.append("ResultBody:").append(SdkConstant.CLOUDAPI_LF).append(response.getBody() == null ? "null" : new String(response.getBody(), SdkConstant.CLOUDAPI_ENCODING));

        return result.toString();
    }

}